VERSION 5.00
Begin VB.Form frmConfigurations 
   BorderStyle     =   1  'Fixed Single
   Caption         =   "Configurations"
   ClientHeight    =   2610
   ClientLeft      =   3150
   ClientTop       =   1980
   ClientWidth     =   2880
   Icon            =   "frmConfigurations.frx":0000
   LinkTopic       =   "Form1"
   MaxButton       =   0   'False
   MinButton       =   0   'False
   ScaleHeight     =   2610
   ScaleWidth      =   2880
   StartUpPosition =   2  'CenterScreen
   Begin VB.CommandButton cmdCancel 
      Caption         =   "&Cancel"
      Height          =   375
      Left            =   1800
      TabIndex        =   8
      Top             =   2160
      Width           =   855
   End
   Begin VB.CommandButton cmdDefault 
      Caption         =   "&Default"
      Height          =   255
      Left            =   2040
      TabIndex        =   7
      Top             =   0
      Width           =   855
   End
   Begin VB.CommandButton cmdOK 
      Caption         =   "&OK"
      Default         =   -1  'True
      Height          =   375
      Left            =   240
      TabIndex        =   2
      Top             =   2160
      Width           =   855
   End
   Begin VB.Frame fraPlayer2 
      Caption         =   "Player 2"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   855
      Left            =   60
      TabIndex        =   1
      Top             =   1200
      Width           =   2715
      Begin VB.CommandButton cmdPlay2 
         Caption         =   "Right Arrow"
         Height          =   255
         Index           =   1
         Left            =   1200
         TabIndex        =   12
         Tag             =   "39"
         Top             =   480
         Width           =   1225
      End
      Begin VB.CommandButton cmdPlay2 
         Caption         =   "Left Arrow"
         Height          =   255
         Index           =   0
         Left            =   1200
         TabIndex        =   11
         Tag             =   "37"
         Top             =   240
         Width           =   1225
      End
      Begin VB.Label lblInfo 
         Caption         =   "Move right:"
         Height          =   255
         Index           =   7
         Left            =   240
         TabIndex        =   10
         Top             =   480
         Width           =   1005
      End
      Begin VB.Label lblInfo 
         Caption         =   "Move left:"
         Height          =   375
         Index           =   6
         Left            =   240
         TabIndex        =   9
         Top             =   240
         Width           =   1005
      End
   End
   Begin VB.Frame fraPlayer1 
      Caption         =   "Player 1"
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   975
      Left            =   60
      TabIndex        =   0
      Top             =   120
      Width           =   2715
      Begin VB.CommandButton cmdPlay1 
         Caption         =   ">"
         Height          =   255
         Index           =   1
         Left            =   1200
         TabIndex        =   6
         Tag             =   "190"
         Top             =   600
         Width           =   1225
      End
      Begin VB.CommandButton cmdPlay1 
         Caption         =   "<"
         Height          =   255
         Index           =   0
         Left            =   1200
         TabIndex        =   5
         Tag             =   "188"
         Top             =   360
         Width           =   1225
      End
      Begin VB.Label lblInfo 
         Caption         =   "Move right:"
         Height          =   255
         Index           =   1
         Left            =   240
         TabIndex        =   4
         Top             =   600
         Width           =   1005
      End
      Begin VB.Label lblInfo 
         Caption         =   "Move left:"
         Height          =   375
         Index           =   0
         Left            =   240
         TabIndex        =   3
         Top             =   360
         Width           =   1000
      End
   End
End
Attribute VB_Name = "frmConfigurations"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Dim PlayNum As Byte
Dim KeyArrayNum As Byte

Public Sub GetKey(KeyCode As Integer)
    Dim okQ As Boolean
    okQ = True
    For i = 0 To 1
        If PlayNum <> 1 Or KeyArrayNum <> i Then
            If KeyCode = cmdPlay1(i).Tag Then okQ = False
        End If
        If PlayNum <> 2 Or KeyArrayNum <> i Then
            If KeyCode = cmdPlay2(i).Tag Then okQ = False
        End If
    Next i
    If okQ Then
        If PlayNum = 1 Then
            With cmdPlay1(KeyArrayNum)
                .Tag = KeyCode
                .Caption = KeyStr(KeyCode)
            End With
        Else
            With cmdPlay2(KeyArrayNum)
                .Tag = KeyCode
                .Caption = KeyStr(KeyCode)
            End With
        End If
    Else
        MsgBox "Sorry, but this key has already been taken!", vbExclamation + vbSystemModal, "Key already taken"
    End If
End Sub

Private Sub cmdCancel_Click()
    Unload Me
End Sub

Private Sub cmdDefault_Click()
    If MsgBox("Are you sure you want to restore the key default settings?", vbQuestion + vbYesNo, "Restore defaults?") = vbYes Then
        cmdPlay1(0).Caption = "<"
        cmdPlay1(1).Caption = ">"
        cmdPlay1(0).Tag = 188
        cmdPlay1(1).Tag = 190
        cmdPlay2(0).Caption = "Left Arrow"
        cmdPlay2(1).Caption = "Right Arrow"
        cmdPlay2(0).Tag = 37
        cmdPlay2(1).Tag = 39
    End If
End Sub

Private Sub cmdOK_Click()
    On Error GoTo errdo
    Dim fn As Integer
    Dim SaveKeys As KeyFile
    If MsgBox("Do you really wish to save your settings?", vbQuestion + vbYesNo, "Save settings?") = vbNo Then Exit Sub
    fn = FreeFile
    Open "keys.conf" For Random As #fn Len = Len(SaveKeys)
        For i = 0 To 1
            SaveKeys.Player1Key(i) = cmdPlay1(i).Caption
            SaveKeys.Player1KeyTag(i) = cmdPlay1(i).Tag
            SaveKeys.Player2Key(i) = cmdPlay2(i).Caption
            SaveKeys.Player2KeyTag(i) = cmdPlay2(i).Tag
        Next i
        SaveKeys.FileType = "Pong Keyboard Configurations"
        SaveKeys.Credits = "By " & MyName
        Put #fn, 1, SaveKeys
    Close
    For i = 0 To 1
        KeyCode1(i) = cmdPlay1(i).Tag
        KeyCode2(i) = cmdPlay2(i).Tag
        KeyStr1(i) = cmdPlay1(i).Caption
        KeyStr2(i) = cmdPlay2(i).Caption
    Next i
    MsgBox "Configurations saved successfully!", vbExclamation, "Successful!"
    Unload Me
    Exit Sub
errdo:
    MsgBox "Unable to write to file!" & vbCrLf & "Settings still saved to be used in program.", vbCritical
    For i = 0 To 5
        KeyCode1(i) = cmdPlay1(i).Tag
        KeyCode2(i) = cmdPlay2(i).Tag
        KeyStr1(i) = cmdPlay1(i).Caption
        KeyStr2(i) = cmdPlay2(i).Caption
    Next i
    Unload Me
End Sub

Private Sub cmdPlay1_Click(Index As Integer)
    PlayNum = 1
    KeyArrayNum = Index
    frmNewKey.lblKeyName.Caption = "P1 " & lblInfo(Index).Caption
    frmNewKey.Show 1
End Sub

Private Sub cmdPlay2_Click(Index As Integer)
    PlayNum = 2
    KeyArrayNum = Index
    frmNewKey.lblKeyName.Caption = "P2 " & lblInfo(Index + 6).Caption
    frmNewKey.Show 1
End Sub

Private Sub Form_Load()
        For i = 0 To 1
            cmdPlay1(i).Caption = KeyStr1(i)
            cmdPlay1(i).Tag = KeyCode1(i)
            cmdPlay2(i).Caption = KeyStr2(i)
            cmdPlay2(i).Tag = KeyCode2(i)
        Next i
End Sub
